Untitled Document

About Personal Assistant

How organize the day of our life? Try Personal Assistant - powerful personal information manager and day planner. This profesionally developed and well designed software will track your everyday tasks, save you diary, remind about holidays, birthdays and other special days.

Personal Assistant will help you manage appointments, to-do lists, schedules, and more. Set it up to send a visual or audible alarm to notify you of things to be done in the day of our life. Create and manage to-do lists, and set alarms for individual entries. Sort your lists by priority, task, or due date, and add color-coding to help you further define your jobs. Then use the appointment reminder to display your jobs by day, week, or month. Make appointments and set up alarms to remind you of upcoming events or meetings at the day of our life. You can assign file names, documents and internet links with your task items and launch them.

Built-in password manager provides you with on place to store your passwords and access them with just one click. Never forget a password again! You can give each password it's own associated username, informative description and notes. Password Manager allows you to generate passwords automatically and save them after that in your database.

Personal Assistant uses 64-bit DES encryption to keep your value information away from prying eyes. You can protect your data with a password to save your privacy.

Thank you for choosing Personal Assistant!
We sincerely hope you enjoy our program.


System requirements

Software Requirements:

  • Windows 95, Windows 98, Windows NT 4.0, Windows 2000, or Windows ME
  • Version 4.72 or later of the Windows Common Control library. This library is part of Windows 98, Microsoft Internet Explorer 4.0, and is available as a separate download from the Microsoft web site at http://www.microsoft.com/msdownload/ieplatform/ie/comctrl.asp

Hardware Requirements

  • Pentium 150 MHz or better
  • 16 Mb of RAM or more
  • 2 MB free disk space
  • VGA Video


User interface summary

Personal Assistant provides clean easy-to-use user interface which allows quicky add and manage your tasks, passwords, birthdays etc.

Interface consist of the following parts:

  • Main toolbar - provides quick access to common-used commands
  • Organize bar - locates at the left side of the window and provides access to information sections tasks, passwords, special days and trash.
  • List control - displays tasks, passwords, special days or deleted items depending of selected section on the navigation pane
  • Status bar - displays status information and properties for selected files

As seen above, the Personal Assistant main window is divided into two different panes, these panes are resizable, by hovering the mouse over a frame of a pane will change to resize cursor. Holding down the mouse button allows you to move the frame bar to resize the window. The surrounding windows will also be resized.


Main toolbar

The shortcut toolbar, located at the top of the Personal Assistant window, consists of a number of buttons identified by icons with short command name below.

Notes:

  • To activate a command, click on the corresponding button with the primary mouse button.
  • To get a short description of the function of each button, rest the mouse cursor over the button.
  • You can show or hide the toolbar with the [View | Toolbar] menu command.

Related Topics: Interface Summary


Status Bar

The status bar, located at the bottom of the Personal Assistant window, displays status information and properties for the selected item(s).

Command menu tips
Shows descriptive information about selected menu items

Filter data
Shows how much records displayed using aplied filter

Holidays
Shows how much holidays today

Date & time
Displays current day and time

Related Topics: Interface Summary


Organize bar

Organize bar is located at the left side of the Personal Assistant window and allows to switch between Tasks, Passwords, Holidays and Trash sections.

Tasks
This section allows you keep and manage you todo's.

Passwords
Saves and crypts your passwords. Allows to generate new passwords with use-defined symbols length.

Holidays
Keeps and tracks anniversaries, friends birthdays, holidays and other special days

Trash
All deleted data is located here and ready to restore.

Tips

  • You can specify big or large icons for organize bar. Just click using right mouse button inside and select desired option.
  • It is possible to change the order of section's icons on the organize bar. They are dragable using left mouse button.
  • You can rename each section's label using "Rename" menu command using right mouse button.

Notes

You can show or hide the organize bar with the [View | Organize bar] menu command.

Related Topics: Interface Summary


List contol

List control located and the right side of the main window and covers the most area of the application. It displays your todo's, passwords, special days or deleted items depending of the selected section on the organize bar.

Tasks list

Tasks list control consists of unlimited number of rows (each row is your task) and 8 columns (Completed status, Task name, Project, Due date, Due time, Priority and Assignee).

Passwords list

Passwords list control consists of unlimited number of rows (each row is your password) and 3 columns (Description, Username and Password).

Special days list

Holidays list control consists of unlimited number of rows (each row is your special day, anniversary etc.) and 2columns (Date and Event name).

Tips:

  • Tasks, Passwords, Holidays and Deleted Items can be sorted using sort headers of each column. Sorted columns can be highlited (see Settings/Tasks, Settings/Passwords, Settings/Special Days , Settings/Trash ).
  • You can edit task, password, special day or deleted item right in your list. Just click selected item once again using left mouse button.
  • You can check task as completed using left mouse button click left to the task name in list.
  • Navigate through tasks, passwords, special days and deleted items using cursor keys
  • You can create new tasks, passwords, special days and deleted items using Insert key and delete them using Delete key
  • You can select several tasks, passwords, special days and deleted items using left mouse button while holding Shift or Control keys
  • You can sort using several columns. Just click sorting columns while holding Control key
  • Double click task, password, special day and deleted item to view it's properties
  • If the file is attached to the tasks it is marked with [image] symbol
  • Tasks which has notes marked with [image] symbol
  • Alarmed tasks marked with [image] symbol
  • Recurring tasks marked with [image] symbol at the right side of the task's name
  • You can copy user name or password to Windows clipboard using context menu which popup with right mouse button click
  • You can drag items into Trash using left mouse button. Restore them from trash using the same way.

Related Topics: Interface Summary


Using Personal Assistant

Choose topic:

Tasks:

  • Add task
  • Delete task
  • Edit task
  • Check task as complete
  • Filter tasks
  • Sort tasks

Passwords:

  • Add password
  • Delete password
  • Edit password
  • Copy username/password to clipboard
  • Sort passwords

Special days:

  • Add special day
  • Delete special day
  • Edit special day
  • Filter special days
  • Sort special days

Database:

  • Backup database
  • Restore database
  • Create new database
  • Open existing database
  • Protect data with password


Choose topic:

Tasks:

  • Add task
  • Delete task
  • Edit task
  • Check task as complete
  • Filter tasks
  • Sort tasks


Adding new task

Follow steps:

1. If you want to add new task just push [image] button on the toolbar, or select Task\Add Task menu item or press Insert button on your keyboard

2. New task window will appear

3. Enter task name, select due date and time, choose priority, project, assignee, recurring period, attach file or document and enter task notes if needed.

4. Click OK Button.

Tips:

  • You can always add task using system wide hotkey. (see Settings\Hotkeys)

Related topics:

  • Delete task
  • Edit task
  • Check task as complete
  • Filter tasks
  • Sort tasks


Deleting existing task

1. Select task in the list.

2. Click [image] button on the toolbar or select Task\Delete task menu item or press Delete key on your keyboard.

3. Confirmation window will popup.

4. Click OK button

Related topics:

  • Add task
  • Edit task
  • Check task as complete
  • Filter tasks
  • Sort tasks


Editing task

1. Select task from the list

2. Click [image] button on the toolbar or select Task\Edit task menu item or press Enter key on your keyboard or double click selected task.

3. Task's properties window will popup.

4. Make needed changes.

5. Click OK Button.

Related topics:

  • Add task
  • Delete task
  • Check task as complete
  • Filter tasks
  • Sort tasks


Check/Uncheck task as completed

1. Select task from the list

2. Click [image] or [image] button on the toolbar

or open Edit Task window, check Completed option and press OK button

or click using left mouse button at the left side of the task name in the list.

Related topics:

  • Add task
  • Delete task
  • Edit task
  • Filter tasks
  • Sort tasks


Filter tasks

1. Select View\Filter... menu item

2. Filters window will popup

3. Select one or several filter properties and click Set filter button.

Related topics:

  • Add task
  • Delete task
  • Edit task
  • Check task as complete
  • Sort tasks


Sorting tasks

1. Select View\Sort... menu item

2. Sort options window will popup

3. Select one or several sort order(s) and click Sort button

Tip:

  • You can also sort using sort headers in you tasks list.

Related topics:

  • Add task
  • Delete task
  • Edit task
  • Check task as complete
  • Filter tasks


Choose topic:

Passwords:

  • Add password
  • Delete password
  • Edit password
  • Copy username/password to clipboard
  • Sort passwords


Adding password

Follow steps:

1. If you want to add new password just push [image] button on the toolbar, or select Passwords\Add Password menu item or press Insert button on your keyboard

2. New password window will appear

3. Enter description, user name, password (generate password if needed) and comments for this password.

4. Click OK Button.

Tips:

  • You can always add password using system wide hotkey. (see Settings\Hotkeys)

Related topics:

  • Delete password
  • Edit password
  • Copy username/password to clipboard
  • Sort passwords


Deleting existing password

1. Select password in the list.

2. Click [image] button on the toolbar or select Password\Delete task menu item or press Delete key on your keyboard.

3. Confirmation window will popup.

4. Click OK button

Related topics:

  • Add password
  • Edit password
  • Copy username/password to clipboard
  • Sort passwords


Editing password

1. Select password from the list

2. Click [image] button on the toolbar or select Password\Edit Password menu item or press Enter key on your keyboard or double click selected password.

3. Password's properties window will popup.

4. Make needed changes.

5. Click OK Button.

Related topics:

  • Add password
  • Delete password
  • Copy username/password to clipboard
  • Sort passwords


Copy user name or password to clipboard

Select Password\Copy user name or Password\Copy password menu item from the main menu or context menu.

Related topics:

  • Add password
  • Delete password
  • Edit password
  • Sort passwords


Sorting passwords

1. Select View\Sort... menu item

2. Sort options window will popup

3. Select one or several sort order(s) and click Sort button

Tip:

  • You can also sort using sort headers in you passwords list.

Related topics:

  • Add password
  • Delete password
  • Edit password
  • Copy username/password to clipboard


Choose topic:

Special days:

  • Add special day
  • Delete special day
  • Edit special day
  • Filter special days
  • Sort special days


Adding new special day

Follow steps:

1. If you want to add new holiday, anniversary etc. just push [image] button on the toolbar, or select Event\Add Event menu item or press Insert button on your keyboard

2. New event window will appear

3. Enter event name, date and other properties

4. Click OK Button.

Related topics:

  • Delete special day
  • Edit special day
  • Filter special days
  • Sort special days


Deleting existing event

1. Select day in the list.

2. Click [image] button on the toolbar or select Event\Delete event menu item or press Delete key on your keyboard.

3. Confirmation window will popup.

4. Click OK button

Related topics:

  • Add special day
  • Edit special day
  • Filter special days
  • Sort special days


Editing event

1. Select event from the list

2. Click [image] button on the toolbar or select Event\Edit event menu item or press Enter key on your keyboard or double click selected event.

3. Event's properties window will popup.

4. Make needed changes.

5. Click OK Button.

Related topics:

  • Add special day
  • Delete special day
  • Filter special days
  • Sort special days


Filter events

1. Select View\Filter... menu item

2. Filters window will popup

3. Select one or several filter properties and click Set filter button.

Related topics:

  • Add special day
  • Delete special day
  • Edit special day
  • Sort special days


Sorting events

1. Select View\Sort... menu item

2. Sort options window will popup

3. Select one or several sort order(s) and click Sort button

Tip:

  • You can also sort using sort headers in you events list.

Related topics:

  • Add special day
  • Delete special day
  • Edit special day
  • Filter special days


Choose topic:

Database:

  • Backup database
  • Restore database
  • Create new database
  • Open existing database
  • Protect data with password


Backup your information

Please follow steps:

1. Select File\Backup\Backup database menu item.

2. Select file name from dialog.

3. Click Save button

Related topics:

  • Restore database
  • Create new database
  • Open existing database
  • Protect data with password


Restore your information from back

Please follow steps:

1. Select File\Backup\Restore database menu item.

2. Select file name from dialog.

3. Click Open button

4. Confirm restore pressing Yes button.

Please note! This will replace all your data in current database with restored data.

Related topics:

  • Backup database
  • Create new database
  • Open existing database
  • Protect data with password


Create new database

Please follow steps:

1. Select File\Create new menu item.

2. Select file name for new database.

3. Click Save button

4. Confirm new database creation pressing Yes button.

Please note. All you current information will be saved automatically.

Related topics:

  • Backup database
  • Restore database
  • Open existing database
  • Protect data with password


Open existing database

Please follow steps:

1. Select File\Open... menu item.

2. Select file name.

3. Click Open button

Related topics:

  • Backup database
  • Restore database
  • Create new database
  • Protect data with password


Database password protection

Please follow steps:

1. Select File\Change Password menu item

2. Enter old and new passwords

3. Confirm password

4. Press OK button

Related topics:

  • Backup database
  • Restore database
  • Create new database
  • Open existing database


Settings

Choose topic:

  • General settings
  • Tasks settings
  • Passwords settings
  • Toolbar settings
  • Alarm settings
  • Trash settings
  • Hotkeys settings
  • Assignees settings
  • Projects settings
  • Color settings


General settings

You can open this dialog by pressing [image] button on toolbar and selecting "General" tab or using [File | Settings] menu command.

Here you can enable general settings for Personal Assistant.

Run program minimized
This option enables you to run Personal Assistant minimized to system tray

Automatically load program on Windows startup
This option allows to set Personal Assistant started on system startup

Automatically log completed tasks on startup
Check this if you want to delete completed tasks when Personal Assistant starts

Close button minimizes to tray
Check this option if you want Close button act as minimize button

Show splash screen on startup
This option shows welcome splash screen when program starts

Related topics:

  • Tasks settings
  • Passwords settings
  • Toolbar settings
  • Alarm settings
  • Trash settings
  • Hotkeys settings
  • Assignees settings
  • Projects settings
  • Color settings


Tasks settings

You can open this dialog by pressing [image] button on toolbar and selecting "Tasks" tab or using [File | Settings] menu command.

Here you can customize the appearance of your tasks list.

Show vertical grid lines
Displays gray vertical lines in your tasks list

Show horizontal grid lines
Displays gray horizontal lines in your tasks list

Show sort marker in header
Displays dark gray marker in your column headers which indicates sorting order

Auto size headers
Auto size columns in your task list

Highlight sorted columns
This option highlights sorted columns in you tasks list using light gray color

Strike out completed
Strike out completed tasks in your list

Other option allows to swtich on and off columns on you list and change their order .

Related topics:

  • General settings
  • Passwords settings
  • Toolbar settings
  • Trash settings
  • Hotkeys settings
  • Assignees settings
  • Projects settings
  • Color settings


Passwords settings

You can open this dialog by pressing [image] button on toolbar and selecting "Passwords" tab or using [File | Settings] menu command.

Here you can customize the appearance of your passwords list.

Show vertical grid lines
Displays gray vertical lines in your passwords list

Show horizontal grid lines
Displays gray horizontal lines in your passwords list

Show sort marker in header
Displays dark gray marker in your column headers which indicates sorting order

Auto size headers
Auto size columns in your passwords list

Highlight sorted columns
This option highlights sorted columns in you passwords list using light gray color

Hide passwords
This option displays * symbols instead of passwords in list

Other option allows to set password length for "generate password" feature.

Related topics:

  • General settings
  • Tasks settings
  • Toolbar settings
  • Alarm settings
  • Trash settings
  • Hotkeys settings
  • Assignees settings
  • Projects settings
  • Color settings


Toolbar settings

You can open this dialog by pressing [image] button on toolbar and selecting "Tools" tab or using [File | Settings] menu command.

Here you can customize the appearance and customize toolbar.

Related topics:

  • General settings
  • Tasks settings
  • Passwords settings
  • Alarm settings
  • Trash settings
  • Hotkeys settings
  • Assignees settings
  • Projects settings
  • Color settings


Alarm settings

You can open this dialog by pressing [image] button on toolbar and selecting "Sounds" tab or using [File | Settings] menu command.

Here you can enable sound alarms for your tasks and specify sound file for that alarm.

Related topics:

  • General settings
  • Tasks settings
  • Passwords settings
  • Toolbar settings
  • Trash settings
  • Hotkeys settings
  • Assignees settings
  • Projects settings
  • Color settings


Trash settings

You can open this dialog by pressing [image] button on toolbar and selecting "Trash" tab or using [File | Settings] menu command.

Here you can customize the appearance of your deleted items list.

Show vertical grid lines
Displays gray vertical lines in your deleted items list

Show horizontal grid lines
Displays gray horizontal lines in your deleted items list

Show sort marker in header
Displays dark gray marker in your column headers which indicates sorting order

Auto size headers
Auto size columns in your deleted items list

Highlight sorted columns
This option highlights sorted columns in you passwords list using light gray color

Strike out completed
Strike out completed tasks in your list

Related topics:

  • General settings
  • Tasks settings
  • Passwords settings
  • Toolbar settings
  • Alarm settings
  • Hotkeys settings
  • Assignees settings
  • Projects settings
  • Color settings


Hotkeys settings

You can open this dialog by pressing [image] button on toolbar and selecting "Hotkeys" tab or using [File | Settings] menu command.

Here you can customize system wide hotkeys which enables to add tasks and passwords

Minimize to tray after adding task or password using hotkey
This option hides new task or password window after clickin OK button if Personal Assistant was minimized before pressing hotkey and minimizes it back.

Related topics:

  • General settings
  • Tasks settings
  • Passwords settings
  • Toolbar settings
  • Alarm settings
  • Trash settings
  • Assignees settings
  • Projects settings
  • Color settings


Assignees settings

You can open this dialog by pressing [image] button on toolbar and selecting "Assignees" tab or using [File | Settings] menu command.

Here you can add, edit and delete assignees for your tasks.

Related topics:

  • General settings
  • Tasks settings
  • Passwords settings
  • Toolbar settings
  • Alarm settings
  • Trash settings
  • Hotkeys settings
  • Projects settings
  • Color settings


Projects settings

You can open this dialog by pressing [image] button on toolbar and selecting "Projects" tab or using [File | Settings] menu command.

Here you can add, edit or delete projects of your tasks.

Related topics:

  • General settings
  • Tasks settings
  • Passwords settings
  • Toolbar settings
  • Alarm settings
  • Trash settings
  • Hotkeys settings
  • Assignees settings
  • Color settings


Colors settings

You can open this dialog by pressing [image] button on toolbar and selecting "Colors" tab or using [File | Settings] menu command.

Here you can specify color markers for your task's priorities, cursor, highlight overdue tasks.

Related topics:

  • General settings
  • Tasks settings
  • Passwords settings
  • Toolbar settings
  • Alarm settings
  • Trash settings
  • Hotkeys settings
  • Assignees settings
  • Projects settings


Technical support

If you are unable to resolve your technical problem using these help files contact us at assistant@shelltoys.com.

Please inform us about the following:

  • Personal Assistant version (from 'About' dialog).
  • Windows version (including service packs and other fixes installed), US or international, OEM or not.
  • Computer information: CPU type and speed, installed memory.
  • Description of your problem (as much information as possible to reproduce the problem).

Related topics:

  • Upgrade


Upgrade information

If you are a registered user of Personal Assistant you may upgrade at no charge to any newer release. Just download the latest trial release of Personal Assistant and install it without uninstalling the previous version (don't forget close previous version of Personal Assistant if running). This will preserve your registration. If the registration code is no longer present on your system just re-enter it like the first time and restart the program.

If for any reason your registration code becomes invalid or lost just send an e-mail to assistant@shelltoys.com together with the details of your previous registration. You will receive a new code via e-mail at no charge as soon as we have validated your old registration data.

Related topics:

  • Technical support


License Agreement

PLEASE READ THE FOLLOWING LICENSE AGREEMENT CAREFULLY.
YOU ARE GRANTED THE FOLLOWING LIMITED RIGHTS:

A non-exclusive, non-transferable right to use the shareware version of Personal Assistant for evaluation period of 30 days. (The trial period does not apply if you have registered the software).
The right to distribute the software in its shareware form to third parties, provided the latter agree to accept the terms of this Agreement.
One purchased license gives right to installing a registered version of Personal Assisrtant on one computer.

IT IS STRICTLY PROHIBITED TO:

  • Modify the software partially or completely.
  • Decompile or reverse engineer the software.
  • Refer your registration number to third parties if you are a registered user.

SHOULD YOU FAIL TO COMPLY WITH ANY OF THE ABOVE-MENTIONED YOUR USER'S RIGHTS WOULD BE AUTOMATICALLY TERMINATED. THIS TERMINATION WILL BE IN ADDITION TO ANY CRIMINAL, CIVIL OR OTHER REMEDIES.

LIMITED WARRANTY:

LIMITATION OF LIABILITY FOR INDIRECT DAMAGES: The author cannot be held responsible under any circumstances for damages of any character arising out of the use of this product. This software is provided under license on an "AS IS" basis, without warranty of any kind, expressed or implied .
PROPERTY: This software, including its code, documentation, appearance, structure, and organisation is an exclusive product of the Shelltoys Inc., who retains the property rights to the software, its copies, modifications, or merged parts.


Registering Personal Assistant

Personal Assistant is distributed on "try before you buy" principle. The 30-day free trial version allows you to completely evaluate the program features before registering it.

Why should I register?

For many people, the most pressing reason to register is to get rid of the annoying nag message which pops up at the most inconvenient times.
Once registering Personal Assistant you:

  • get the full version without any restrictions and nag screens
  • get all future full versions of Personal Assistant free of charge irrespective of their price
  • receive up-to-date info about new versions and updates of Personal Assistant
  • obtain the right of the top-priority technical support
  • Finally, by registering the software, you provide us with the resources and incentive to support the software with updates.

How to register?

The fastest way to register the program is online order. You can order the program with secure online order form of known and reliable software registration service Register Now! at or follow:

https://www.regnow.com/softsell/nph-softsell.cgi?item=1808-13

Alternatively, you can go to http://www.regnow.com, open order tabset and enter the program name Personal Assistant in Search field or enter program number 1808-13 in Quick Jump field.

If you do not have access to the Internet, you can register via phone, fax or postal mail. Please print out the following form, and fax or mail it to:

Universal Commerce, Inc.
ATTN: Orders
PO Box 1816
Issaquah, WA 98027
United States of America
Phone: Toll Free (USA)877-353-7297, Regular (International) 425-392-2294
Fax: Toll Free (USA) 888-353-7276, Regular (International) 425-392-0223

Registration form for Personal Assistant :

Personal Information:

Program No.: 1808-13

First Name: | _________________________________________
Last Name: | _________________________________________
Company: | _________________________________________
Street Address: | _________________________________________
City: | _________________________________________
State/Province: | _________________________________________
Zip/Postal Code: | _________________________________________
Country: | _________________________________________
Phone: | _________________________________________
Email Address: | _________________________________________

Order Information:

Quantity: | ________
Price: | $24.95

Payment Information:

Name on Card: | _________________________________________
Type of Credit Card: | _________________________________________
Card Number: | _________________________________________
Expiration Date: | _________________________________________

The up-to-date information about the Personal Assistant registration is available from the web page at http://www.shelltoys.com/personal_assistant/order.html.

If you have any questions about the registration please contact assistant@shelltoys.com.


Contact and copyright information

Personal Assistant™
Copyright © 2003 Shelltoys, Inc.

Information about the latest version of the program is available from the Shelltoys™ site at:

http://www.shelltoys.com

Any comments, suggestions and bug reports are always welcome. Please feel free to contact us:

assistant@shelltoys.com

Tip: If you would like to receive information about new products and releases join Shelltoys News Mailing List.

Thank you for choosing Personal Assistant!
We sincerely hope you enjoy our program.